#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-MIME-Lite
Version		:	3.031
Release		:	14.4.0.0%{?dist}
Summary		:	low-calorie MIME generator
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl(MIME::Types)
BuildRequires	:	perl(common::sense)

Requires	:	perl

#-----------------------------------------------------------------------------
%description
MIME::Lite is intended as a simple, standalone module
for generating (not parsing!) MIME messages...
Specifically, it allows you to output a simple, decent
single- or multi-part message with text or binary
attachments.  It does not require that you have the
Mail:: or MIME:: modules installed.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}
sed -i 's/\r//' examples/*
sed -i 's/\r//' contrib/*
sed -i 's/\r//' COPYING README
chmod a-x examples/* contrib/*

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/MIME/Lite.pm
%{_datadir}/perl5/core_perl/MIME/changes.pod
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
